### Method

# WebKit WebView download_uri

#### Declaration [src]

    WebKitDownload*
    webkit_web_view_download_uri (
      WebKitWebView* web_view,
      const char* uri
    )

#### Description [src]

Requests downloading of the specified URI string for `web_view`.

#### Parameters

`uri` | `const char*`
| The URI to download.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `WebKitDownload`
| A new `WebKitDownload` representing the download operation.
| The caller of the method takes ownership of the data, and is responsible for freeing it.